:- dynamic
	truth_values_orig/1,
	truth_values/1,
	designated_truth_values_orig/1,
	designated_truth_values/1,
	rule/3,
	tf/2.

lgcDatabase([
	truth_values_orig/1,
	truth_values/1,
	designated_truth_values_orig/1,
	designated_truth_values/1,
	rule/3,
	tf/2
]).

load_logic(F) :-
	clear(lgcDatabase),
	read_logic(F).

read_logic(F) :-
	see(F),
	repeat,
	read(T),
	process(T),
	seen.

process(end_of_file).
process(T) :-
	process1(T),
	!, fail.

process1(truth_values(TVs0)) :-
	sort(TVs0, TVs1),
	assertz(truth_values_orig(TVs0)),
	assertz(truth_values(TVs1)).
process1(designated_truth_values(TVs0)) :-
	sort(TVs0, TVs1),
	assertz(designated_truth_values_orig(TVs0)),
	assertz(designated_truth_values(TVs1)).
process1(rule(F, Ps0, R)) :-
	sort_l(Ps0, Ps1),
	assertz(rule(F, Ps1, R)).
process1(op(P,T,N)) :-
	op(P,T,N).
process1(tf(F,DTVs)) :-
	assertz(tf(F,DTVs)).
