:- [msconf].    % OS- and Prolog-specific settings; currently only end-of-line
:- [msutil].    % auxiliary predicates
:- [mscalcul].  % proof construction, proof transformations, ...
:- [msconseq].  % consequence relations on sequents, formulas, equations
:- [mslgcin].   % input of logic specification
:- [msoption].  % option processing
:- [mstex].     % output routines (TeX)


test :-
	current_prolog_flag(argv, Arguments),
	Arguments = [_SystemArg|Args],
	load_logic(luka),
	treat_args(Args),
	test([tf/2]),
	told,
	!,
	halt.

test([]) :-
	!.
test([P|Ps]) :-
	!,
	test(P),
	test(Ps).
test(N/A) :-
	!,
	functor(T, N, A),
	(  T,
	   test(T),
	   fail
	;  true
	).
test(T) :-
	test1(T),
	!.

test1(tf(F,DTVs)) :-
	test1(tcf([],F,DTVs)).
test1(tcf(Hyps,Conc,DTVs)) :-
	frmcons2seqs(Hyps, Conc, DTVs, S),
	derivable(S, PT),
	collect_hyps(PT, Hs),
	counterexamples_l(Hs, Cexs),
	(Cexs=[] ->
	   write("VALID"), nl
	;  write("INVALID"), nl
	).

treat_args([]).
treat_args([InputName]):-
	read_logic(InputName).
